Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.fulltext.spell
Class SpellCheckerIndexer

    java.lang.Object
      com.gisgraphy.fulltext.spell.SpellCheckerIndexer

All Implemented Interfaces:
  ISpellCheckerIndexer

    public class SpellCheckerIndexer

extends Object
implements ISpellCheckerIndexer

Solr implementation of `ISpellCheckerIndexer`

Author:
  David Masclet

Field Summary
`protected static org.slf4j.Logger` | `logger` The logger

Constructor Summary
`SpellCheckerIndexer()`

Method Summary
`Map<String,Boolean>` | `buildAllIndex()` Re-index all the SpellCheckerDictionaryNames
`boolean` | `buildIndex(com.gisgraphy.fulltext.spell.SpellCheckerDictionaryNames spellCheckerDictionaryName)` re-index the dictionary for the specified spellchecker dictionary name
`void` | `setSolrClient(IsolrClient solrClient)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final org.slf4j.Logger logger

  The logger

Constructor Detail

### SpellCheckerIndexer

    public SpellCheckerIndexer()

Method Detail

### buildAllIndex

    public Map<String,Boolean> buildAllIndex()

  Description copied from interface: `ISpellCheckerIndexer`
  Re-index all the SpellCheckerDictionaryNames

  Specified by:
    `buildAllIndex` in interface `ISpellCheckerIndexer`
  Returns:
    a map with dictioanry name as key and boolean as value. the boolean is equal to true if the index has succeed for the dictionary

### buildIndex

    public boolean buildIndex(com.gisgraphy.fulltext.spell.SpellCheckerDictionaryNames spellCheckerDictionaryName)

  Description copied from interface: `ISpellCheckerIndexer`
  re-index the dictionary for the specified spellchecker dictionary name

  Specified by:
    `buildIndex` in interface `ISpellCheckerIndexer`
  Parameters:
    `spellCheckerDictionaryName` - the spellChecker Dictionary to index / re-index

### setSolrClient

    public void setSolrClient(IsolrClient solrClient)

  Parameters:
    `solrClient` - the solrClient to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.